<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>

<script language="JavaScript" type="text/javascript">
//////Objeto ajax
function nuevoAjax(){
	var xmlhttp = false;
	try {
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
		} 
	catch (e) {
		try {
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
			} 
		catch (E) {
			xmlhttp = false;
			}
		}

	if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
		xmlhttp = new XMLHttpRequest();
		}
		return xmlhttp;
	}
////////////






function AddNewUser(){/////////funcion que valida los campos y ademas envia por POST los valores

	forma = document.add_new_user ///nombre del formularoi

	forma.nombre.className = "text_area"; //campo textbox
	forma.mail.className = "text_area"; //campo textbox
	forma.password.className = "text_area";  //campo textbox

	if (forma.nombre.value == '' || forma.nombre.value.length <= 4){
		contenedor.innerHTML = 'Ingrese un nombre v&aacute;lido.';
		forma.nombre.className = "inputbox";
		forma.nombre.focus();
		return (false);
	}

/*	if (forma.mail.value == '' || forma.mail.value.length <= 4 || !forma.mail.value.match("@") || !forma.mail.value.match(".")){
		contenedor.innerHTML = 'Ingrese un E-mail v&aacute;lido.';
		forma.mail.className = "inputbox";
		forma.mail.focus();
		return (false);
		}*/

	if (forma.password.value == '' || forma.password.value.length < 6){
		contenedor.innerHTML = 'Su contrase&ntilde;a debe ser de 6 caracteres o m&aacute;s.';
		forma.password.className = "inputbox";
		forma.password.className = "inputbox";
		forma.password.focus();
		return (false);
		}


	c1 = document.getElementById('loading1'); ///este es un div donde cargo una imagen gif de "cargando"
	c3 = document.getElementById('contenedor'); ////este es la capa div donde se mostrara el resultado que procesa los datos que enviamos por POST
	ajax = nuevoAjax();
	c1.innerHTML = '<img src="images/loading.gif"/> Cargando... '; ///ubicacion del gif loader
	ajax.open("POST", "prueba.php?nocache="+new Date().getTime(),true); //este archivo recoge los datos del formulario y los procesa (le pongo una variable nocache igual a un numero al azar para evitar almacenamiento en cache del navegador)
	ajax.onreadystatechange = function() {
	if (ajax.readyState ==4) {
		c3.innerHTML = ajax.responseText; // luego que se envian los datos por POST se completa el div con los resultados que arroje el archivo add_new_user.php

		}
	}

//datos = "nombre="+forma.nombre.value+"&correo="+forma.mail.value+"&password="+forma.password.value; ///se estableces las variables para enviarlas al PHP
datos = "nombre="+forma.nombre.value; ///se estableces las variables para enviarlas al PHP
ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
ajax.setRequestHeader("Accept-Charset", "iso-8859-1");
ajax.send(datos);
}

</script>
</head>

<body>
<form name="add_new_user" action="nada.php" onsubmit="AddNewUser(); return false;">

<table>
<tr><td> <div id="loading1" ></div></td></tr>
<tr><td> <div id="contenedor" ></div></td></tr>
<tr><td> Nombre: </td><td><input type="text" name="nombre" /></td></tr>
<tr><td> Correo: </td><td><input type="text" name="mail" /></td></tr>
<tr><td> Password: </td><td><input type="text" name="password" /></td></tr>
<tr><td colspan="2" align="center"><input type="submit" value="Guardar!" /></td></tr>
</table>


</form>
</body>
</html>
